#!/bin/sh

######
# Netstat script dat controleert welke connecties op de dreambox zitten
# v0.1 - basis opzet
##


#####Variabelen die we gebruiken
localRange="192.21.12."
logfile=$HOME/netstat.log


#####Functies
fn_CheckConnections()
{
## Uitvoeren van 'netstat -t' 
### en er voor zorgen dat we de eerste 2 lijnen van de output deleten (header info) (met behulp van sed)
#### Verder willen we ook dat onze eigen IP adressen niet in de lijst staan (met behulp van grep)
netstat -t | sed '1,2d' | grep -v $localRange >> $logfile

}

#####Uitvoering


##Controleer om de 90 seconden een tekstfile laten maken door eerder gemaakte functie op te roepen
##We schrijven ook de tijd mee in de logfile

while true
do
	echo "Script output van "$(date +"%Y%m%d-%H%M") > $logfile
	fn_CheckConnections ; sleep 90s
done



